org.jgroups.blocks

## Class Cache.Value<V>

- java.lang.Object
- - org.jgroups.blocks.Cache.Value<V>

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

Enclosing class:
  Cache<K,V>

    public static class Cache.Value<V>
    extends java.lang.Object
    implements java.io.Externalizable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Cache.Value()`
`Cache.Value(V value, long timeout)`

### Method Summary

Methods
`long` `getInsertionTime()`
`long` `getTimeout()`
`V` `getValue()`
`void` `readExternal(java.io.ObjectInput in)`
`void` `writeExternal(java.io.ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Cache.Value

    public Cache.Value(V value,
               long timeout)

#### Cache.Value

    public Cache.Value()

### Method Detail

#### getValue

    public V getValue()

#### getInsertionTime

    public long getInsertionTime()

#### getTimeout

    public long getTimeout()

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Specified by:
  `writeExternal` in interface `java.io.Externalizable`
Throws:
  `java.io.IOException`

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Specified by:
  `readExternal` in interface `java.io.Externalizable`
Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`